// [!HeaderName] : Declaration of the [!ClassName]
[!crlf]

#ifndef __[!UpperShortName]_H_
#define __[!UpperShortName]_H_
[!crlf]

#include "resource.h"       // main symbols

[!crlf]
/////////////////////////////////////////////////////////////////////////////
// [!ClassName]

class [!ClassName] : 
	public CDialogImpl<[!ClassName]>
{
public:
	[!ClassName]();
	~[!ClassName]();
[!crlf]
	enum { IDD = IDD_[!UpperShortName] };
[!crlf]
BEGIN_MSG_MAP([!ClassName])
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
END_MSG_MAP()

[!crlf]
	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
};

[!crlf]
#endif //__[!UpperShortName]_H_
